package com.qs.mp.user.service;

import com.qs.mp.user.domain.UserAddr;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 渠道配送地址 服务类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
public interface IUserAddrService extends IService<UserAddr> {
  UserAddr getDefaultChannelAddr(Long userId);

  boolean updateDefaultChannelAddr(Long addrId, Long userId);

  boolean removeChannelAddrByUserId(Long addrId, Long userId);

  UserAddr getChannelAddrByUserId(Long addrId, Long userId);
}
